
:root {
  --swiper-theme-color: #787d62 !important;
  --swiper-pagination-color: #787d62 !important;

}


/* - Text Effect
------------------------------------------------------------- */
.pseudo-text-effect {
  position: relative;
  padding: 0;
  overflow: hidden;
  transition: transform 0.5s;
  display: block;
}

.pseudo-text-effect::after {
  content: attr(data-after);
  display: inline-block;
  transform: translateY(100%);
  position: absolute;
  left: 0;
  transition: inherit;
  color: var(--bs-dark);
}

.pseudo-text-effect>span {
  display: inline-block;
  transform: translateY(0%);
  transition: inherit;
}

.pseudo-text-effect:hover>span {
  transform: translateY(-100%);
}

.pseudo-text-effect:hover::after {
  transform: translateY(0%);
}

/*--------------------------------------------------------------
/** Jarallax
--------------------------------------------------------------*/
.jarallax {
  position: relative;
  z-index: 0;
  min-height: 510px;
}

.jarallax>.jarallax-img {
  position: absolute;
  object-fit: cover;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
}

.jarallax-img {
  position: relative;
  z-index: 0;
}

.jarallax img.jarallax-img {
  position: relative;
  display: block;
  max-width: 100%;
  height: auto !important;
  z-index: -100;
}

@media screen and ( max-width: 991px ) {
  .jarallax {
    min-height: 280px;
  }
}

/*--- Image hover Effects
-----------------------------------------------*/
.image-zoom-effect {
  overflow: hidden;
}

.image-zoom-effect .image-holder {
  width: 100%;
  height: auto;
  overflow: hidden;
  transform: scale(1);
  transition: transform 0.3s cubic-bezier(0.25, 0.46, 0.45, 0.94);
}

.image-zoom-effect:hover .image-holder {
  transform: scale(0.95);
}

.image-zoom-effect img {
  transform: scale(1);
  will-change: transform;
  transition: transform 0.3s cubic-bezier(0.25, 0.46, 0.45, 0.94);
  z-index: 0;
}

.image-zoom-effect:hover img {
  transform: scale(1.1);
}

/* Link Effect
------------------------------------------------------------- */
.link-effect {
  cursor: pointer;
}

.link-effect a {
  position: relative;
  padding: 0;
  overflow: hidden;
  transition: transform 0.5s;
  display: block;
}

.link-effect a::after {
  content: attr(data-after);
  display: inline-block;
  transform: translateY(100%);
  position: absolute;
  left: 0;
  font-size: 1rem;
  text-align: inherit;
  text-transform: uppercase;
  transition: inherit;
}

.link-effect a>span {
  display: inline-block;
  transform: translateY(0%);
  transition: inherit;
}

.link-effect:hover a>span {
  transform: translateY(-100%);
}

.link-effect:hover a::after {
  transform: translateY(0%);
}

/* Social Link Hover
------------------------------------------------------------- */
.icon-box-effect {
  overflow: hidden;
  cursor: pointer;
}

.icon-box-effect .social-links libutton {
  position: relative;
  bottom: 80px;
  opacity: 0;
  display: inline-block;
  margin: 7px;
  padding: 5px;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  background-color: var(--secondary-color);
}

.icon-box-effect .social-links button:hover {
  background-color: var(--bs-primary);
}

.icon-box-effect .social-links svg {
  color: var(--light-color);
  animation-name: rotate-icon;
}

.icon-box-effect .social-links button:nth-child(1) {
  transition: 1.0s;
}

.icon-box-effect .social-links button:nth-child(2) {
  transition: 1.2s;
}

.icon-box-effect .social-links button:nth-child(3) {
  transition: 1.5s;
}

.icon-box-effect .social-links button:nth-child(4) {
  transition: 1.8s;
}

.icon-box-effect .social-links button:nth-child(5) {
  transition: 2.4s;
}

.icon-box-effect:hover>.product-card .social-links button {
  bottom: 200px;
  opacity: 1;
}

/*  Image Overlay
------------------------------------------------------------- */
/* .text-box {
  width: 100%;
  
} */
.image-overlay {
  cursor: pointer;
}

.image-overlay .product-image {
  overflow: hidden;
}

.image-overlay .product-image img {
  transform: translateY(0);
  transition: transform 0.6s ease-in-out;
}

.box-slide {
  left: 0;
  bottom: 0;
  transform: translateY(100%);
  color: var(--bs-dark);
  transition: transform 0.6s ease-in-out;
}

.image-overlay:hover .box-slide {
  transform: translateY(0%);
}

.image-overlay:hover img {
  transform: translateY(-10%);
}

/* Button Hover Effects 2
------------------------------------------------------------- */
.btn.btn-arrow {
  color: var(--bs-light);
  background-color: var(--bs-primary);
  border-radius: 0;
}

.btn.btn-arrow.btn-bg-light {
  color: var(--bs-dark);
  background-color: var(--bs-light);
}

.btn.btn-arrow.outline-dark {
  color: var(--bs-dark);
  background-color: transparent;
  border: 1px solid var(--bs-dark);
}

.btn.btn-arrow.btn-normal {
  color: var(--bs-dark);
  background-color: transparent;
  border: none;
  text-decoration: underline;
}

.btn.btn-arrow span {
  display: inline-block;
  transition: all 300ms ease-out;
  will-change: transform;
}

.btn.btn-arrow:hover span {
  transform: translate3d(-7px, 0, 0);
}

.btn.btn-arrow svg {
  position: absolute;
  top: 32px;
  right: 21px;
  transform: translateY(-50%);
  transition: all 300ms ease-out;
  will-change: right, opacity;
}

.btn.btn-arrow:hover svg {
  opacity: 0;
  right: 0;
}

.btn svg.icon-arrow {
  width: 25px;
  height: 25px;
}

/* - Search Bar
------------------------------------------------------------- */
.search-box {
  background: var(--bs-light);
  height: 0px;
  transition: height 0.3s ease-out;
}

.search-box.active {
  height: 90px;
}

.close-button {
  top: 20px;
  right: 120px;
  cursor: pointer;
  z-index: 9;
}

.search-box input.search-input {
  width: 50%;
  height: 30px;
  min-width: 420px;
  border-radius: 80px;
  border-color: rgb(0 0 0 / 25%);
}

.search-box .search-wrap svg {
  color: var(--bs-primary);
}

.search-box svg.search {
  margin-left: -50px;
}

/* - Sticky
------------------------------------------------------------- */
.sticky {
  position: sticky;
  top: 0;
}

/*----------------------------------------------*/
/*------------Swiper Arrow -----------*/
.banner-content p {
  width: 50%;
}

#billboard .swiper-pagination {
  left: -730px;
  bottom: 160px;
}

.swiper-pagination .swiper-pagination-bullet {
  width: 10px;
  height: 10px;
  position: relative;
  cursor: pointer;
  border-color: transparent;
  transition: border-color 0.3s ease-out;
}

.swiper-pagination .swiper-pagination-bullet::after {
  content: '';
  position: absolute;
  width: 10px;
  height: 10px;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  border-radius: 50px;
  border: 1px solid #4a4a4a;
  transform: scale(1);
  transition: transform 0.3s ease-out;
}

.swiper-horizontal>.swiper-pagination-bullets .swiper-pagination-bullet,
.swiper-pagination-horizontal.swiper-pagination-bullets .swiper-pagination-bullet {
  margin: 0 10px !important;
}

.swiper-pagination span.swiper-pagination-bullet.swiper-pagination-bullet-active:after,
.swiper-pagination span.swiper-pagination-bullet:hover:after {
  transform: scale(2);
}

@media only screen and (max-width: 1200px) {
  #billboard .banner-content {
    background-color: rgba(246, 245, 242, 0.5);
    height: 100%;
  }

  .banner-content h1.display-1 {
    font-size: 4.5em;
  }

  .banner-content p {
    width: 90%;
  }

  #billboard .swiper-pagination {
    right: 0;
    bottom: 60px;
    left: 0;
  }
}

@media only screen and (max-width: 768px) {
  .banner-content h1.display-1 {
    font-size: 3.5em;
  }
}

/* 3. Icon Box - Company Services
/*----------------------------------------------*/
.icon-box-icon.pe-3.pb-3 {
  border: 1px solid var(--bs-primary);
  border-radius: 50%;
}

.icon-box .icon-box-icon svg {
  width: 50px;
  height: 50px;
  color: var(--bs-primary);
}

.icon-box .icon-box-content {
  width: 60%;
}

.icon-box-content h3.card-title {
  font-size: 1.5em;
}

/* 4. Featured Product
/*----------------------------------------------*/
.product-store .swiper-horizontal>.swiper-pagination-bullets,
.product-store .swiper-pagination-bullets.swiper-pagination-horizontal,
.product-store .swiper-pagination-custom,
.product-store .swiper-pagination-fraction {
  position: relative !important;
}



/* 6. collections
/*----------------------------------------------*/

/* 7. Subscribe
/*----------------------------------------------*/
.subscribe-content input,
.subscribe-content button {
  height: 65px;
}

/* 9. Brand Collection
/*----------------------------------------------*/
#brand-collection a img {
  opacity: 0.3;
  transition: opacity 0.3s ease-out;
}
#brand-collection a:hover img {
  opacity: 1;
}

/* 10. Blog Page
/*----------------------------------------------*/
.sidebar .widget-search-bar form {
  height: 50px;
}

.sidebar .widget-search-bar form .search-field {
  width: 100%;
}

.sidebar .widget-search-bar .search-icon {
  width: 60px;
}

/* 10. Shop Page
/*----------------------------------------------*/
.product-grid .product-card .cart-concern {
  bottom: -20px;
  left: 0;
  opacity: 0;
  transition: 0.9s all;
}

.product-grid .product-card:hover .cart-concern {
  bottom: 0;
  opacity: 1;
  transform: rotate(0deg);
}

/* 11. Single Product Page
/*----------------------------------------------*/
/* product-thumbnail-slider */
.product-thumbnail-slider {
  height: 790px;
}

/* product-info */
.rating-container .rating svg {
  color: var(--bs-yellow);
}

.product-quantity .input-group button.btn-number {
  width: 100%;
  height: 100%;
}

/* product-tabs */
.product-tabs .nav-tabs .nav-item.show .nav-link,
.product-tabs .nav-tabs .nav-link:hover,
.product-tabs .nav-tabs .nav-link.active {
  background-color: var(--bs-primary);
  color: var(--bs-light) !important;
}

/* 12. FAQs Page
/*----------------------------------------------*/
.accordion .accordion-button::after {
  content: "";
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' class='plus' viewBox='0 0 16 16'%3E%3Cpath d='M8 4a.5.5 0 0 1 .5.5v3h3a.5.5 0 0 1 0 1h-3v3a.5.5 0 0 1-1 0v-3h-3a.5.5 0 0 1 0-1h3v-3A.5.5 0 0 1 8 4z'/%3E%3C/svg%3E");
  background-repeat: no-repeat;
}

.accordion .accordion-button:not(.collapsed)::after {
  content: "";
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' class='minus' viewBox='0 0 16 16'%3E%3Cpath d='M4 8a.5.5 0 0 1 .5-.5h7a.5.5 0 0 1 0 1h-7A.5.5 0 0 1 4 8z'/%3E%3C/svg%3E");
  transform: rotate(0deg);
}

/* 13. Blog Page
/*----------------------------------------------*/
.pagination .page-link {
  color: var(--bs-primary);
  background-color: var(--bs-light);
  border: 1px solid var(--bs-primary);
}

.pagination .page-item.active .page-link {
  color: var(--bs-light);
  background-color: var(--bs-primary);
  border-color: var(--bs-primary);
}

.pagination .page-item a.page-link {
  height: 40px;
}

.pagination .page-item a.page-link:hover,
.pagination .page-item a.page-link:focus {
  background-color: var(--bs-primary);
  color: var(--bs-light);
}